Skip to main content
`Ctrl`+`K`

# vispy.visuals.collections.raw_path_collection module

class vispy.visuals.collections.raw_path_collection.RawPathCollection(user_dtype=None, transform=None, vertex=None, fragment=None, **kwargs)

  Bases: `Collection`

  append(P, closed=False, itemsize=None, **kwargs)

    Append a new set of vertices to the collection.

    For kwargs argument, n is the number of vertices (local) or the number of item (shared)

    Parameters:
      P np.array

        Vertices positions of the path(s) to be added

      closed: bool

        Whether path(s) is/are closed

      itemsize: int or None

        Size of an individual path

      color list, array or 4-tuple

        Path color